org.apache.ignite.internal.processors.cache.persistence.file

## Interface FileIOFactory

All Superinterfaces:
  Serializable

All Known Implementing Classes:
  AsyncFileIOFactory, RandomAccessFileIOFactory

    public interface FileIOFactory
    extends Serializable

`FileIO` factory definition.

### Method Summary

All Methods Instance Methods Abstract Methods
`FileIO` `create(File file)` Creates I/O interface for file with default I/O mode.
`FileIO` `create(File file, OpenOption... modes)` Creates I/O interface for file with specified mode.

### Method Detail

#### create

    FileIO create(File file)
           throws IOException

Creates I/O interface for file with default I/O mode.

Parameters:
  `file` - File.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.

#### create

    FileIO create(File file,
                  OpenOption... modes)
           throws IOException

Creates I/O interface for file with specified mode.

Parameters:
  `file` - File
  `modes` - Open modes.
Returns:
  File I/O interface.
Throws:
  `IOException` - If I/O interface creation was failed.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018